This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 591983 - (CVE-2010-1748) CVE-2010-1748 cups: web interface memory disclosure
CVE-2010-1748 cups: web interface memory disclosure
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100614,reported=20100507,sou...
: Security
Depends On: 590076 590079 590081 590083 590084 590086 605399
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 11:45 EDT by Vincent Danen
Modified: 2015-10-15 17:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 01:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed upstream patch (393 bytes, patch)
2010-05-13 12:00 EDT, Vincent Danen
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3577 None None None Never

  None (edit)
Description Vincent Danen 2010-05-13 11:45:45 EDT
An unitialized memory read issue exists in the CUPS web interface in how it handles form variables.  An attacker with access to the CUPS web interface could possibly read a limited amount of memory from the cupsd process.  In cgi-bin/var.c, when processing form variables that can come from an unauthenticated user, the cgi_initialize_string() function expects a 2-character hex code after the % character.  If the last character of data is the % character, then it will append a mangled version of the nul terminator and one more byte following the end of data to the output.  The loop will continue appending the contents of memory past the end of data to the output, until another nul byte is read.  A GET request will disclose memory from the environment variable list, and a POST request will disclose memory from the heap.

Upstream CUPS 1.4.4 has corrected this flaw.

Acknowledgements:

Red Hat would like to thank the Apple Product Security team for responsibly reporting this flaw. Upstream acknowledges Luca Carettoni as the original reporter.
Comment 3 Vincent Danen 2010-05-13 12:00:40 EDT
Created attachment 413803 [details]
proposed upstream patch
Comment 6 Vincent Danen 2010-06-15 18:30:52 EDT
This is public now via http://support.apple.com/kb/HT4188
Comment 7 Vincent Danen 2010-06-17 16:34:14 EDT
Created cups tracking bugs for this issue

Affects: fedora-all [bug 605399]
Comment 8 errata-xmlrpc 2010-06-17 18:18:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0490 https://rhn.redhat.com/errata/RHSA-2010-0490.html
Comment 9 Fedora Update System 2010-06-18 07:03:20 EDT
cups-1.4.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cups-1.4.4-1.fc13
Comment 10 Fedora Update System 2010-06-18 07:04:14 EDT
cups-1.4.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cups-1.4.4-1.fc12
Comment 11 Fedora Update System 2010-06-18 07:04:56 EDT
cups-1.4.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cups-1.4.4-1.fc11
Comment 12 Fedora Update System 2010-06-24 08:22:28 EDT
cups-1.4.4-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cups-1.4.4-4.fc13
Comment 13 Fedora Update System 2010-06-25 14:10:18 EDT
cups-1.4.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-01 14:44:17 EDT
cups-1.4.4-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-26 22:45:37 EDT
cups-1.4.4-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.